<?php 

ini_set('session.use_cookies','0'); 
ini_set('session.use_trans_sid','0'); 
ini_set('url_rewriter.tags',''); 
session_name("stw"); 
session_start(); 

header('Cache-Control: no-store, no-cache, must-revalidate');
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("../inc.php"); 
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("../version.php");
$session['round']=0; 
$ref=rand(100,99999); 
$ses2=SID; 
$ses="$ses2&amp;$ses&amp;ref=$ref";

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n"; 
echo "<head><meta http-equiv=\"Cache-Control\" content=\"no-cache\" forua=\"true\"/></head>\n"; 
echo "<card id=\"index\" title=\"21\">\n"; 
echo "<p>\n"; 
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>21</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1;
echo "Для участия в игре сделайте ставку и нажмите \"играть\", Ваша ставка будет получена Банкиром и он начнет сдавать Вам карты(одна карта уже заранее сдана).<br/>\n"; 
echo "В игре участвуют двое - Вы и Банкир, на кону - двойная ставка (Ваша ставка и ставка Банкира). Взяв карты, Вы подсчитываете суммарное количество их очков.<br/>\n"; 
echo "<b>Очки считаются следующим образом:</b><br/>\n"; 
echo "шестерка - 6 очков<br/>\n"; 
echo "семерка - 7 очков<br/>\n"; 
echo "восьмерка - 8 очков<br/>\n"; 
echo "девятка - 9 очков<br/>\n"; 
echo "десятка - 10 очков<br/>\n"; 
echo "валет(J) - 2 очков<br/>\n"; 
echo "дама(Q) - 3 очков<br/>\n"; 
echo "король(K) - 4 очков<br/>\n"; 
echo "туз(A) - 11 очков.<br/>\n"; 
echo "Сумма очков не зависит от масти карт.<br/>\n"; 
echo "Для взятия очередной карты нужно нажать кнопку \"ещё\".<br/>\n"; 
echo "Если сумма Ваших очков больше 21, то Вы проиграли - перебор, исключение - 2 туза(22 очка).<br/>\n"; 
echo "<b>Очко(21) главнее чем 2 туза(22)!</b><br/>\n"; 
echo "Взяв необходимое количество карт, Вы нажимаете кнопку \"открыть\", и Банкир открывает свои карты(если Вы набираете 20, 21 или 22(2 туза) очка то Банкир открывается автоматически). Выигрывает тот, у кого больше очков. Он забирает кон размером в 2 ставки. При равном количестве очков выигрывает Банкир.<br/>\n";
echo "<a href=\"21.php?$ses\">В игру</a><br/>\n"; 
echo "или<br/><a href=\"out.php?$ses\">Выйти</a><br/>\n"; 
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
?> 